package com.ruoyi.warehouseBusiness.mapper;

import com.ruoyi.warehouseBusiness.domain.BillnoDel;

import java.util.List;

/**
 * 被删除的客户存货编号Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-23
 */
public interface BillnoDelMapper {
    /**
     * 查询被删除的客户存货编号
     *
     * @param id 被删除的客户存货编号ID
     * @return 被删除的客户存货编号
     */
    public BillnoDel selectBillnoDelById(Long id);

    /**
     * 查询被删除的客户存货编号列表
     *
     * @param billnoDel 被删除的客户存货编号
     * @return 被删除的客户存货编号集合
     */
    public List<BillnoDel> selectBillnoDelList(BillnoDel billnoDel);

    /**
     * 新增被删除的客户存货编号
     *
     * @param billnoDel 被删除的客户存货编号
     * @return 结果
     */
    public int insertBillnoDel(BillnoDel billnoDel);

    /**
     * 修改被删除的客户存货编号
     *
     * @param billnoDel 被删除的客户存货编号
     * @return 结果
     */
    public int updateBillnoDel(BillnoDel billnoDel);

    /**
     * 删除被删除的客户存货编号
     *
     * @param id 被删除的客户存货编号ID
     * @return 结果
     */
    public int deleteBillnoDelById(Long id);

    /**
     * 批量删除被删除的客户存货编号
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBillnoDelByIds(Long[] ids);

    /**
     *  查询回收的流水号
     * @param billnoDel 条件
     * @return  结果
     */
    public BillnoDel selectBillnoDelBillNo(BillnoDel billnoDel);
}
